Summary:    A lossless compression for JPEG files
Name:       lepton
Version:    1.2.1
Release:    %mkrel 2
License:    GPLv2+
Group:      Graphics/Utilities
Url:        https://github.com/dropbox/lepton
Source:     https://github.com/dropbox/lepton/archive/%{version}.tar.gz
ExclusiveArch:  %ix86 x86_64
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  glibc-static-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libstdc++-static-devel
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(zlib)

%description
Lepton is a tool and file format for losslessly compressing JPEGs by an average
of 22%.

This can be used to archive large photo collections, or to serve images live
and save 22% bandwidth.

%prep
%setup -q

# fix compiler flags
sed -i \
  -e 's,SET(CMAKE_CXX_FLAGS ",SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ,' \
  -e 's,SET(CMAKE_C_FLAGS ",SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ,' \
  CMakeLists.txt

%build
%cmake \
  -DUSE_SYSTEM_DEPENDENCIES:BOOL=ON
%cmake_build

%install
%cmake_install

%files
%license license.txt
%doc AUTHORS README.md
%{_bindir}/*


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 1.2.1-2.mga8
+ Revision: 1524145
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Tue Mar 26 2019 wally <wally> 1.2.1-1.mga7
+ Revision: 1380409
- skip build on arm
- build against system libs
- use our build time flags
+ shlomif <shlomif>
- import based on joe

